#include "ej11.h"
#include <iostream>

using namespace std;

Tiempo::Tiempo(int hors, int minuts, int segunds) {
  horas = hors;
  minutos = minuts;
  segundos = segunds;

  corrigeTiempo();
}

void Tiempo::corrigeTiempo() 
{
  if (horas < 0 || horas > 24) horas = 0;
  if (minutos < 0 || minutos > 60) minutos = 0;
  if (segundos < 0 || segundos > 60) segundos = 0;
}

void Tiempo::setHoras(int hors) { horas = hors;corrigeTiempo();}
void Tiempo::setMinutos(int minuts) { minutos = minuts;corrigeTiempo();}
void Tiempo::setSegundos(int segunds) { segundos = segunds;corrigeTiempo();}

void Tiempo::imprime12H() 
{
  int horas_t = horas % 12;
  if (horas_t == 0) horas_t = 12;

  cout << horas_t << ":" << minutos << ":" << segundos << " ";
  if (horas != 0 && horas <=12) cout << "AM";
  else                          cout << "PM";
  cout << endl;
}

void Tiempo::imprime24H() 
{
  cout << horas << ":" << minutos << ":" << segundos << endl;
}

int main() 
{
  Tiempo t1(13,14,23);
  t1.imprime12H();
  t1.imprime24H();

  t1.setHoras(33);
  t1.setMinutos(64);
  t1.imprime12H();
  t1.imprime24H();

  t1.setHoras(1);
  t1.setMinutos(12);
  t1.setSegundos(90);
  t1.imprime12H();
  t1.imprime24H();

}
