#include "ej5.h"
#include <iostream>
#include <math.h>

using namespace std;

Punto::Punto(double x1, double y1) 
{
  x = x1;
  y = y1;
}

double Punto::getX() 
{
  return x;
}

double Punto::getY() 
{
  return y;
}

void Punto::leerDatos()
{
  cout << "Introduzca la coordenada x:" << endl;
  cin >> x;
  cout << "Introduzca la coordenada y:" << endl;
  cin >> y;
}

void Punto::verDatos()
{
  cout << "x: " << x << " y: " << y << endl;
}

double Punto::distanciaEje()
{
  return sqrt(x*x+y*y);
}

double Punto::distanciaA(Punto p2) 
{
  return sqrt( pow(x-p2.getX(),2.0) + pow(y-p2.getY(),2.0) );
}

int main() 
{
  Punto p1(-2,-3);
  Punto p2(5,6);
  cout << "la distancia a p2 es " << p1.distanciaA(p2) << endl;
  cout << "la distancia a p1 es " << p2.distanciaA(p1) << endl;
  cout << "la distancia de p1 a el mismo es " << p1.distanciaA(p1) << endl;
}
